package de.fhg.fokus.edp.chatbot_sparql_service;

import de.fhg.fokus.edp.chatbot_sparql_service.model.Mode;

public final class ApplicationConfig {

    public static final String ENV_APPLICATION_PORT = "PORT";
    public static final Integer DEFAULT_APPLICATION_PORT = 8080;

    public static final String ENV_SPARQL_URL = "SPARQL_URL";
    public static final String DEFAULT_SPARQL_URL = "https://www.europeandataportal.eu/sparql";

    public static final String ENV_PAGE_SIZE = "PAGE_SIZE";
    public static final Integer DEFAULT_PAGE_SIZE = 3;

    public static final String ENV_CHATSCRIPT_HOST = "CHATSCRIPT_HOST";
    public static final String ENV_CHATSCRIPT_PORT = "CHATSCRIPT_PORT";

    static final String ENV_ENABLE_BIF = "ENABLE_BIF";

    public static final Mode DEFAULT_MODE = Mode.FORMATTED;

    public static final String SPARQL_VERTICLE_ADDRESS = "address.sparql";
}
