package de.fhg.fokus.edp.chatbot_sparql_service.model.rdf;

import de.fhg.fokus.edp.chatbot_sparql_service.SparqlUtils;
import org.apache.jena.sparql.expr.Expr;
import org.apache.jena.sparql.expr.ExprFunction2;
import org.apache.jena.sparql.expr.NodeValue;

public class E_BifContains extends ExprFunction2 {

    private static final String symbol = "bif:contains";

    public E_BifContains(Expr expr1, Expr expr2) {
        super(expr1, expr2, "bif:contains");
    }

    public NodeValue eval(NodeValue v1, NodeValue v2) {
        return SparqlUtils.bifContains(v1, v2);
    }

    public Expr copy(Expr e1, Expr e2) {
        return new E_BifContains(e1, e2);
    }
}
