package de.fhg.fokus.edp.chatbot_sparql_service.bot;

import io.vertx.core.json.JsonObject;

public class TestCase {

    private String utterance;
    private JsonObject expectedResult;

    public TestCase(String utterance, JsonObject expectedResult) {
        this.utterance = utterance;
        this.expectedResult = expectedResult;
    }

    public String getUtterance() {
        return utterance;
    }

    public void setUtterance(String utterance) {
        this.utterance = utterance;
    }

    public JsonObject getExpectedResult() {
        return expectedResult;
    }

    public void setExpectedResult(JsonObject expectedResult) {
        this.expectedResult = expectedResult;
    }

    @Override
    public String toString() {
        return "TestCase{" +
            "utterance='" + utterance + '\'' +
            ", expectedResult=" + expectedResult.encode() +
            '}';
    }
}
