package de.fhg.fokus.edp.chatbot_sparql_service.model;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

public class Entity {

    private EntityType type;

    @JsonDeserialize(using = StringBooleanDeserializer.class)
    private Boolean negation = false;
    private String values; // disjunction

    public EntityType getType() {
        return type;
    }

    public void setType(EntityType type) {
        this.type = type;
    }

    public Boolean getNegation() {
        return negation;
    }

    public void setNegation(Boolean negation) {
        this.negation = negation;
    }

    public String getValues() {
        return values;
    }

    public void setValues(String values) {
        this.values = values;
    }

    @Override
    public String toString() {
        return "Entity{" +
            "type=" + type +
            ", negation=" + negation +
            ", values=" + values +
            '}';
    }
}
